document.addEventListener('DOMContentLoaded', function() {
    // Language Translation
    const langSelect = document.getElementById('lang-select');
    const translations = {
        en: {
            'Book Now': 'Book Now',
            'Hidden Treasures': 'Hidden Treasures',
            'Trending Spots': 'Trending Spots',
            'Peaceful Escapes': 'Peaceful Escapes'
        },
        hi: {
            'Book Now': 'अभी बुक करें',
            'Hidden Treasures': 'छिपे खजाने',
            'Trending Spots': 'लोकप्रिय स्थान',
            'Peaceful Escapes': 'शांतिपूर्ण स्थान'
        },
        ko: {
            'Book Now': 'आतां बुक करा',
            'Hidden Treasures': 'गुप्त ठिकाणे',
            'Trending Spots': 'लोकप्रिय ठिकाणे',
            'Peaceful Escapes': 'शांत ठिकाणे'
        }
    };

    langSelect.addEventListener('change', function() {
        const selectedLang = this.value;
        translatePage(selectedLang);
    });

    function translatePage(lang) {
        Object.keys(translations[lang]).forEach(key => {
            document.querySelectorAll(`*:contains("${key}")`).forEach(element => {
                element.textContent = translations[lang][key];
            });
        });
    }

    // Booking Modal
    const bookButtons = document.querySelectorAll('.book-btn');
    bookButtons.forEach(button => {
        button.addEventListener('click', function() {
            alert('Booking functionality will be implemented here!');
        });
    });

    // Smooth Scroll
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function(e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });
});
